> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Why Is It Moving (WIIMs)

<ResponseExample>
  ```json Respuesta (200 OK) theme={null}
  [
    {
      "id": 36444586,
      "author": "Benzinga Insights",
      "created": "Mon, 01 Jan 2024 13:35:14 -0400",
      "updated": "Mon, 01 Jan 2024 13:35:15 -0400",
      "title": "10 Information Technology Stocks With Whale Alerts In Today's Session",
      "teaser": "",
      "body": "",
      "url": "https://www.benzinga.com/markets/options/24/01/36444586/10-information-technology-stocks-with-whale-alerts-in-todays-session",
      "image": [
        {
          "size": "thumb",
          "url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/options_image_2.jpeg"
        },
        {
          "size": "small",
          "url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/options_image_2.jpeg"
        },
        {
          "size": "large",
          "url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/options_image_2.jpeg"
        }
      ],
      "channels": [
        {
          "name": "WIIM"
        }
      ],
      "stocks": [
        {
          "name": "AAPL",
          "cusip": "037833100",
          "isin": "US0378331005",
          "exchange": "NASDAQ"
        },
        {
          "name": "CLSK",
          "cusip": "18452B209",
          "isin": "US18452B2097",
          "exchange": "NASDAQ"
        },
        {
          "name": "NVDA",
          "cusip": "67066G104",
          "isin": "US67066G1040",
          "exchange": "NASDAQ"
        },
        {
          "name": "ORCL",
          "cusip": "68389X105",
          "isin": "US68389X1054",
          "exchange": "NYSE"
        },
        {
          "name": "TSM",
          "cusip": "874039100",
          "isin": "US8740391003",
          "exchange": "NYSE"
        }
      ],
      "tags": [
        {
          "name": "BZI-AUOA"
        }
      ]
    }
  ]
  ```

  ```json Respuesta (401 No autorizado) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Token de autenticación no válido o ausente"
      }
    ]
  }
  ```

  ```json Respuesta (404 No encontrado) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No se encontraron datos para los parámetros especificados"
      }
    ]
  }
  ```

  ```json Respuesta (500 Error interno del servidor) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "Se produjo un error inesperado al procesar su solicitud"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml es/openapi/news-api.spec.yml GET /api/v2/news
openapi: 3.0.0
info:
  contact: {}
  description: مصادقة Bearer باستخدام رمز الوصول
  title: Newsfeed & Why is it Moving v2
  version: 2.0.0
servers:
  - url: //api.benzinga.com/api/v2
security: []
paths:
  /api/v2/news:
    get:
      tags:
        - News
      summary: جلب عناصر الأخبار
      description: >-
        تُرجِع واجهة برمجة التطبيقات API هذه القائمة على REST بيانات منظَّمة
        للأخبار. للحصول على أفضل أداء، قلِّص نطاق الاستعلام باستخدام معلمات مثل
        رموز الأسهم والتاريخ والقنوات، أو استخدم updatedSince للتحديثات
        التراكمية. إزاحات الصفحات محدودة بين 0 و100000.
      operationId: get-news
      parameters:
        - description: حدِّد تنسيق الإرجاع
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
              - application/xml
            default: application/json
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والجوانب التقنية، تكون
            إزاحات الصفحات محدودة بين 0 و100000. قلِّص نتائج الاستعلام باستخدام
            معلمات أخرى مثل التاريخ.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُعادة. الحد الأقصى 100.
          in: query
          name: pageSize
          schema:
            type: integer
            maximum: 100
            default: 15
        - description: >-
            حدِّد العنوان فقط (headline)، أو العنوان + الموجز (abstract)، أو
            العنوان + النص الكامل (full)
          in: query
          name: displayOutput
          schema:
            type: string
            enum:
              - full
              - abstract
              - headline
            default: headline
        - description: >-
            التاريخ المطلوب للاستعلام عن الأخبار. يُستخدم كصيغة مختصرة لكلٍّ من
            dateFrom وdateTo إذا كانا متطابقين. التنسيق: yyyy-mm-dd
          in: query
          name: date
          schema:
            type: string
        - description: 'تاريخ بدء الاستعلام. يُرتَّب حسب تاريخ النشر. التنسيق: yyyy-mm-dd'
          in: query
          name: dateFrom
          schema:
            type: string
        - description: 'تاريخ نهاية الاستعلام. يُرتَّب حسب تاريخ النشر. التنسيق: yyyy-mm-dd'
          in: query
          name: dateTo
          schema:
            type: string
        - description: آخر طابع زمني Unix (UTC) للتحديث، للسحب والترتيب على أساسه
          in: query
          name: updatedSince
          schema:
            type: integer
        - description: آخر طابع زمني Unix (UTC) للنشر، للسحب والترتيب على أساسه
          in: query
          name: publishedSince
          schema:
            type: integer
        - description: >-
            يتيح التحكم في فرز النتائج. القيمة الافتراضية هي created, DESC.
            التنسيق: field:direction. حقول الفرز: id, created, updated. ترتيب
            الفرز: asc (تصاعدي)، desc (تنازلي)
          in: query
          name: sort
          schema:
            type: string
            enum:
              - id:asc
              - id:desc
              - created:asc
              - created:desc
              - updated:asc
              - updated:desc
        - description: >-
            رقم التعريف الدولي للأوراق المالية ISIN واحد أو أكثر، مفصولة بفاصلة.
            الحد الأقصى 50. التنسيق: csv
          in: query
          name: isin
          schema:
            type: string
        - description: >-
            CUSIP واحد أو أكثر، مفصولة بفاصلة. الحد الأقصى 50. يتطلب اتفاقية
            ترخيص. التنسيق: csv
          in: query
          name: cusips
          schema:
            type: string
        - description: 'رمز تداول واحد أو أكثر، مفصولة بفاصلة. الحد الأقصى 50. التنسيق: csv'
          in: query
          name: tickers
          schema:
            type: string
        - description: >-
            رمز تداول أساسي واحد أو أكثر، مفصولة بفاصلة. تُطبَّق التصفية حسب
            الارتباط برمز التداول الأساسي فقط. التنسيق: csv
          in: query
          name: primaryTickers
          schema:
            type: string
        - description: 'اسم قناة واحد أو أكثر أو معرّفات، مفصولة بفاصلة. التنسيق: csv'
          in: query
          name: channels
          schema:
            type: string
        - description: >-
            كلمة أو عبارة واحدة أو أكثر، مفصولة بفاصلة؛ يبحث في العنوان والوسوم
            والنص حسب ترتيب الأولوية. التنسيق: csv
          in: query
          name: topics
          schema:
            type: string
        - description: >-
            المعامل المنطقي لاستعلام الموضوعات. استخدم 'and' لاشتراط جميع
            الموضوعات، و'or' لاشتراط أي موضوع
          in: query
          name: topic_group_by
          schema:
            type: string
            enum:
              - and
              - or
            default: or
        - description: 'مؤلف واحد أو أكثر، مفصول بفاصلة. التنسيق: csv'
          in: query
          name: authors
          schema:
            type: string
        - description: 'نوع محتوى واحد أو أكثر، مفصول بفاصلة. التنسيق: csv'
          in: query
          name: content_types
          schema:
            type: string
        - description: حدِّد التنسيق المطلوب لاستجابة api
          in: query
          name: format
          schema:
            type: string
            enum:
              - text
        - description: التصفية حسب مستوى الأهمية
          in: query
          name: importance
          schema:
            type: string
        - description: التصفية حسب المنطقة (مثل 'ca' أو 'canada' للمحتوى الكندي)
          in: query
          name: region
          schema:
            type: string
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
            text/xml:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
        '400':
          description: معلمات الاستعلام غير صالحة أو مفقودة
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '499':
          description: تم إلغاء سياق الطلب
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '500':
          description: خطأ داخلي
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.NewsItem:
      description: عنصر خبر مع بيانات وصفية كاملة
      properties:
        author:
          example: Benzinga Newsdesk
          type: string
        body:
          type: string
        channels:
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        created:
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        id:
          example: 123456
          type: integer
        image:
          items:
            $ref: '#/components/schemas/api.Image'
          type: array
        original_id:
          type: integer
        stocks:
          items:
            $ref: '#/components/schemas/api.Stock'
          type: array
        tags:
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        teaser:
          type: string
        title:
          example: Apple Announces New iPhone
          type: string
        updated:
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        url:
          example: https://www.benzinga.com/news/123456
          type: string
      type: object
    api.ChannelTag:
      description: اسم القناة أو الوسم
      properties:
        name:
          example: Technology
          type: string
      type: object
    api.Image:
      description: صورة الخبر مع الحجم وurl
      properties:
        size:
          example: large
          type: string
        url:
          example: https://cdn.benzinga.com/files/images/story/2024/example.jpg
          type: string
      type: object
    api.Stock:
      description: معلومات السهم مع رمز التداول والمُعرّفات
      properties:
        cusip:
          example: '037833100'
          type: string
        exchange:
          example: NASDAQ
          type: string
        gics:
          example: Semiconductors & Semiconductor Equipment
          type: string
        gics_code:
          example: '45301020'
          type: string
        isin:
          example: US0378331005
          type: string
        name:
          example: AAPL
          type: string
        sector:
          example: Equity
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        مصادقة مفتاح واجهة برمجة التطبيقات API. قدّم مفتاح API الخاص بك كمعلمة
        استعلام.
      in: query
      name: token
      type: apiKey

````